#import "NSEventExtensions.h"


@implementation NSEvent (Location)

- (NSPoint) locationInView: (id) view; {
    NSPoint result = [view convertPoint: [self locationInWindow] fromView: [[self window] contentView]];
    if ([[self window] isKindOfClass: NSClassFromString(@"NSDrawerWindow")]) {
        result.y += 6;	/* weird drawer bug */
    }
    return result;
}

@end